Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718842 - dev-ruby/ruby-gtk3-3.4.1: version bump
Summary: dev-ruby/ruby-gtk3-3.4.1: version bump
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-22 14:02 UTC by Rafał Mużyło
Modified: 2020-04-22 14:02 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Mużyło 2020-04-22 14:02:13 UTC
As usual, the whole set needs a bump.

What's not, is that so does the eclass.

It seems upstream stopped updating on sourceforge and goes with github releases.

Therefore packaging has changed.

Also, they're decided to drop the number from the name.

The source dir is now the standard ${P}, that is ruby-gnome-3.4.1.

ruby-glib2-no-natinst.patch needs a minor rewrite.

First of all, it will now target mkmf-gnome.rb. Second, the first hunk is still correct, but the other two are now effectively one: definition of setup_homebrew and its call in the following line (obviously, remove whole block).

With these adjustments, things build fine.

Note though, this is a bit more than just a version bump.

With the stabilization of dev-libs/glib-2.62.6, in-tree dev-ruby/ruby-glib2 fails to build.

The most likely fix is one in ruby-gnome-3.3.8 - accidentally, latest in the tree is 3.3.7.